name='logseq'
version='0.8.18'
release='1'
desc='A privacy-first, open-source platform for knowledge management and collaboration'
homepage='https://logseq.com/'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('AGPL-3.0 license')
provides=('logseq')
conflicts=('logseq')

build_deps=('yarn')

sources=("git+https://github.com/logseq/logseq.git")
checksums=('SKIP')

prepare() {
	cd "${srcdir}"
}

build() {
    yarn install
}

package() {
	install -Dm755 ./${name}v${version}/ "${pkgdir}/usr/bin/"
	install -Dm644 "${srcdir}/" "${pkgdir}/usr/lib/"
}
